body {
    line-height: 1.6;
    color: #333;
    margin: 0;
    /*padding: 20px;*/
    /*background-color: #f9f9f9;*/
}

.contactsPage {
    width: 100%;
    margin: 0 auto;
}

.contactsPage__title {
    font-size: 28px;
    color: var(--blue-color);
    margin-top: 30px;
    margin-bottom: 20px;
    border-bottom: 3px solid var(--blue-color);
    padding-bottom: 10px;
}

.contactsPage__container {
    display: flex;
    flex-wrap: wrap;
    gap: 20px;
    margin-bottom: 40px;
}

.contactsPage__content {
    flex: 1 1 50%;
    padding: 20px;
    background-color: #fff;
    border-radius: 8px;
    box-shadow: 0 4px 8px rgba(0, 0, 0, 0.1);
}

.contactsPage__map {
    flex: 1 1 100%;
    padding: 20px;
    background-color: #f1f1f1;
    border-radius: 8px;
    box-shadow: 0 4px 8px rgba(0, 0, 0, 0.1);
}

.contactsPage__block {
    margin-bottom: 20px;
}

.contactsPage__content {
    font-size: 16px;
    color: #333;
}

.contactsPage__subtitle, .contactsPage__content b {
    font-size: 20px;
    color: #555;
    margin-bottom: 10px;
}

.contactsPage__text {
    font-size: 16px;
    color: #333;
}

.contactsPage__phone,
.contactsPage__email {
    display: inline-block;
    font-size: 16px;
    color: #014CE4;
    text-decoration: none;
    margin-bottom: 5px;
    transition: color 0.3s ease;
}

.contactsPage__phone:hover,
.contactsPage__email:hover {
    color: #013bb2;
}

.gray {
    color: #666;
    font-size: 14px;
}

iframe {
    width: 100%;
    /*height: 400px;*/
    border: none;
    border-radius: 8px;
}

.contactsPage__select {
    display: flex;
    flex-direction: row;
    gap: 15px;
    justify-content: space-between;
    max-width: 100%;
    width: 100%;
}

.contactsPage__left {
    flex: 1;
    max-width: 296px;
}

.contactsPage__right {
    flex: 1;
    width: auto;
    height: auto;
}

.contactsPage__right-placeholder {
    width: auto;
    height: auto;
}

.contactsPage__left-list {
    list-style: none;
    padding-left: 0;
    margin: 0;
}

.contactsPage__left-item {
    position: relative;
    display: flex;
    justify-content: flex-start;
    min-height: 2.75em;
    /* min-width: 18em; */
    color: #555;
    align-items: center;
    padding-left: 34px;
    transition: color 0.3s ease;
    cursor: pointer;
    padding-right: 5px;
}

.contactsPage__left-item::before {
    content: '';
    position: absolute;
    left: 5px;
    top: 50%;
    transform: translateY(-50%);
    width: 24px;
    height: 24px;
    background-image: url('data:image/svg+xml;utf8,<svg xmlns="http://www.w3.org/2000/svg" viewBox="0 0 24 23" fill="%23555555"><path d="M12 2C8.13 2 5 5.13 5 9c0 5.25 7 13 7 13s7-7.75 7-13c0-3.87-3.13-7-7-7zm0 9.5c-1.38 0-2.5-1.12-2.5-2.5s1.12-2.5 2.5-2.5 2.5 1.12 2.5 2.5-1.12 2.5-2.5 2.5z"/></svg>');
    background-repeat: no-repeat;
    background-position: center;
    transition: filter 0.3s ease;
}

.contactsPage__left-item:hover::before, .contactsPage__left-item.active::before, .contactsPage-tablet__top-item.active::before {
    background-image: url('data:image/svg+xml;utf8,<svg xmlns="http://www.w3.org/2000/svg" viewBox="0 0 24 24" fill="%23ffffff"><path d="M12 2C8.13 2 5 5.13 5 9c0 5.25 7 13 7 13s7-7.75 7-13c0-3.87-3.13-7-7-7zm0 9.5c-1.38 0-2.5-1.12-2.5-2.5s1.12-2.5 2.5-2.5 2.5 1.12 2.5 2.5-1.12 2.5-2.5 2.5z"/></svg>');
}

.contactsPage__left-item:hover, .contactsPage__left-item.active, .contactsPage-tablet__top-item.active {
    background-color: #28517A;
    color: #FFF;
}

li,
ul {
    margin: 0;
    padding: 0;
}

.contactsPage-tablet__top {
    display: none;
}


@media (max-width: 1070px) {
    .contactsPage__left {
        display: none;
    }

    .contactsPage-tablet__top {
        display: grid;
        grid-template-columns: repeat(2, 1fr);
    }

    .contactsPage-tablet__top-item {
        position: relative;
        display: flex;
        justify-content: flex-start;
        min-height: 2.75em;
        /* min-width: 18em; */
        color: #555;
        align-items: center;
        padding-left: 34px;
        transition: color 0.3s ease;
        cursor: pointer;
        padding-right: 5px;
        border: 0.6px solid #E5E5E5
    }

    .contactsPage-tablet__top-list {
        list-style: none;
        padding-left: 0;
        margin: 0;
    }

    .contactsPage-tablet__top-item {
        position: relative;
        display: flex;
        justify-content: flex-start;
        min-height: 2.75em;
        /* min-width: 18em; */
        color: #555;
        align-items: center;
        padding-left: 34px;
        transition: color 0.3s ease;
        cursor: pointer;
        padding-right: 5px;
    }

    .contactsPage-tablet__top-item::before {
        content: '';
        position: absolute;
        left: 5px;
        top: 50%;
        transform: translateY(-50%);
        width: 24px;
        height: 24px;
        background-image: url('data:image/svg+xml;utf8,<svg xmlns="http://www.w3.org/2000/svg" viewBox="0 0 24 23" fill="%23555555"><path d="M12 2C8.13 2 5 5.13 5 9c0 5.25 7 13 7 13s7-7.75 7-13c0-3.87-3.13-7-7-7zm0 9.5c-1.38 0-2.5-1.12-2.5-2.5s1.12-2.5 2.5-2.5 2.5 1.12 2.5 2.5-1.12 2.5-2.5 2.5z"/></svg>');
        background-repeat: no-repeat;
        background-position: center;
        transition: filter 0.3s ease;
    }

    .contactsPage-tablet__top-item:hover::before {
        background-image: url('data:image/svg+xml;utf8,<svg xmlns="http://www.w3.org/2000/svg" viewBox="0 0 24 24" fill="%23ffffff"><path d="M12 2C8.13 2 5 5.13 5 9c0 5.25 7 13 7 13s7-7.75 7-13c0-3.87-3.13-7-7-7zm0 9.5c-1.38 0-2.5-1.12-2.5-2.5s1.12-2.5 2.5-2.5 2.5 1.12 2.5 2.5-1.12 2.5-2.5 2.5z"/></svg>');
    }

    .contactsPage-tablet__top-item:hover {
        background-color: #28517A;
        color: #FFF;
    }

    /* Отдельный класс для Петропавловск-Камчатский */
    .petr {
        min-height: 90px;
    }

    .left {
        border-top-left-radius: 12px
    }

    .right {
        border-top-right-radius: 12px;
    }

    .contactsPage__select {
        flex-direction: column;
    }

    .contactsPage__right {
        position: relative;
        width: 100%;
        overflow: hidden;
    }

    .contactsPage__right-placeholder {
        width: 100%;
        height: auto;
        display: block;
        object-fit: cover;
    }
    .contactsPage__select {
        gap: 0px;
    }
}


@media (max-width: 768px) {
    .contactsPage__container {
        flex-direction: column;
    }

    .contactsPage__content,
    .contactsPage__map {
        flex: 1 1 100%;
    }

    .contactsPage__title {
        font-size: 24px;
    }

    .contactsPage__subtitle {
        font-size: 18px;
    }

    .contactsPage__text,
    .contactsPage__phone,
    .contactsPage__email {
        font-size: 14px;
    }

    iframe {
        /*height: 300px;*/
    }
}

@media (max-width: 480px) {
    .contactsPage__title {
        font-size: 20px;
    }

    .contactsPage__subtitle {
        font-size: 16px;
    }

    .contactsPage__text,
    .contactsPage__phone,
    .contactsPage__email {
        font-size: 12px;
    }

    iframe {
        /*height: 250px;*/
    }
}

.map {
    position: relative;
    overflow: hidden;
    border-radius: 10px;
    min-height: 450px;*/
    max-height: 611px;
}

.map iframe {
    position: absolute;
    inset: 0;
    width: 100%;
    height: 100%;
    -o-object-fit: cover;
    object-fit: cover;
}

@media (max-width: 1250px) {
    .map {
        min-height: 450px;
    }
}

.contactsPage__info {
    display: none;
}

.contactsPage__info.active {
    display: block;        
}